## Dimnames of an Object

## Usage

    dimnames(x)
    dimnames(x) <- nlist

## Description

Retrieve or set the dimnames of an object.

## Details

The functions `dimnames` and `dimnames<-` are generic.

For an `array` (and hence in particular, for a `matrix`), they retrieve or set the `dimnames` attribute (see attributes) of the object.

Both have methods for data frames. The dimnames of a data frame are its `row.names` attribute and its `names`.

## See Also

`rownames`, `colnames`; `array`, `matrix`, `data.frame`.

## Examples

    ## simple versions of rownames and colnames
    ## could be defined as follows
    rownames0 <- function(x) dimnames(x)[[1]]
    colnames0 <- function(x) dimnames(x)[[2]]

[Package Contents]